
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JavaSE入门学习38：Java集合框架之迭代器 / 憋错料</title>

    <meta name="description" content="JavaSE入门学习38：Java集合框架之迭代器 一Iterator接口 迭代器是一种设计模式,它是一个对象,它可以遍历并选择序列中的对象,而开发人员不需要了解该序列的底层 结构.迭代器通常被称为&quot;轻量级&quot;对象,因为创建它的代价小. Java中的迭代器(Iterator)给我们提供了一种通用的方式来访问集合中的元素.可以知道的是,它只是提供了一个 接口,并没有提供真正的Iterator类.Iterator是对collection进行迭代的迭代器. Iterator接口定义了如下的方法: Java中的Iterator功能比较简 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">JavaSE入门学习38：Java集合框架之迭代器</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>一Iterator接口</h1>
<p>　　迭代器是一种设计模式，它是一个对象，它可以遍历并选择序列中的对象，而开发人员不需要了解该序列的底层</p>
<p>结构。迭代器通常被称为&quot;轻量级&quot;对象，因为创建它的代价小。</p>
<p>Java中的迭代器(Iterator)给我们提供了一种通用的方式来访问集合中的元素。可以知道的是，它只是提供了一个</p>
<p>接口，并没有提供真正的Iterator类。Iterator是对collection进行迭代的迭代器。</p>
<p>Iterator接口定义了如下的方法：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjA1MTMxNTI5NTQ4NDc/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<p>　　Java中的Iterator功能比较简单，并且只能单向移动：</p>
<p>　　(1)使用方法iterator()要求容器返回一个Iterator对象。第一次调用Iterator的next()方法时，它返回序列的第一个元</p>
<p>素。</p>
<p>　　(2)使用next()获得序列中的下一个元素。</p>
<p>　　(3)使用hasNext()检查序列中是否还有元素,如果仍有元素可以迭代，则返回 true。</p>
<p>　　(4)使用remove()将迭代器新返回的元素删除。该方法是在迭代过程中删除元素的唯一的安全方法。</p>
<h1>二Iterable接口</h1>
<p>Java中还提供了一个Iterable接口，Iterable接口实现后的功能是&quot;返回&quot;一个迭代器，该接口的iterator()方法返回一</p>
<p>个标准的Iterator实现。实现这个接口允许对象成为foreach语句的目标。就可以通过foreach语法遍历你的底层序列。</p>
<p>Iterable接口包含一个能够产生Iterator的iterator()方法，并且Iterable接口被foreach用来在序列中移动。因此如果</p>
<p>创建了任何实现Iterable接口的类，都可以将它用于foreach语句中。</p>
<p>Iterable接口中定义唯一的方法：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjA1MTMxNTI5NTk5Nzc/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<p>所有实现了Collection接口的集合类型都有一个iterator()方法用以返回一个实现了Iterator接口的对象。Iterator对象</p>
<p>称作迭代器，用以方便的实现对象容器内元素的遍历操作。</p>
<h1>三示例</h1>
<p>就像上面所说的，在Java的Iterator借口中定义了三个方法：hasNext()如果仍有元素可以迭代，则返回true；next()</p>
<p>返回迭代的下一个元素;remove()从迭代器指向的collection 中移除迭代器返回的最后一个元素。</p>
<p>我们可以认为迭代器Iterator是指向两个元素之间的位置，我们可以使用hasNext()来判断当前位置后面是否还有元</p>
<p>素。使用next()方法返回后面的元素，并且将位置移动到下一个元素前的位置。对于remove()方法我们删除的是当前</p>
<p>位置前面的元素，所以我们在调用remove()方法之前必须先调用至少一次next()方法。这里所说的迭代器的位置在被</p>
<p>迭代的对象中并不存在的，只是我们为了准确的说明这个方法，而假想出来的。</p>
<p>我们可以使用三种循环体遍历Java集合中的元素：</p>
<h2>(1)使用while循环遍历</h2>
<p>实例：</p>
<pre>import java.util.*;

public class Test{
	public static void main(String[] args){
		List list = new ArrayList();
                list.add(&quot;aa&quot;);
                list.add(&quot;bb&quot;);
                list.add(&quot;cc&quot;);

		//使用while循环遍历集合中的元素
		//使用集合的iterator()返回一个Iterator对象
		Iterator iter = list.iterator();
		//使用hasNext()方法判断是否有下一个元素
                while(iter.hasNext()){
			//使用next()方法返回元素
			String str = (String)iter.next();
                        System.out.println(str);
                }
	}
}</pre>
<p>运行结果：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjA1MTMxNTMxNDgxMDQ/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<h2>(2)使用for循环遍历</h2>
<p>实例:</p>
<pre>import java.util.*;

public class Test{
	public static void main(String[] args){
		List list = new ArrayList();
                list.add(&quot;one&quot;);
                list.add(&quot;two&quot;);
                list.add(&quot;three&quot;);

		//使用for循环遍历集合中的元素
		for(Iterator iter = list.iterator(); iter.hasNext();){
                      String str = (String)iter.next();
                      System.out.println(str);
                }
	}
}</pre>
<p>运行结果：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjA1MTMxNTMyNTY2Mjk/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<h2>(3)使用foreach语句遍历</h2>
<p>所谓的foreach语句指的是jdk 5.0新增的的一个循环结构，可以用来处理集合中的每个元素而不用考虑集合定下</p>
<p>标。foreach语句对于遍历array或Collection的时候相当简便。可以看到的是，我们在前面的学习的过程过程中遍历集</p>
<p>合中的元素对象都是使用的这种方式。</p>
<p>&#26684;式如下：</p>
<pre>for(variable:collection){
          statement;
}</pre>
<p>实例：</p>
<pre>import java.util.*;

public class Test{
	public static void main(String[] args){
		//定义的数组
		int[] arr = {1,2,3,4,5};
		for(int i : arr){
			System.out.println(i);
		}

		System.out.println(&quot;-----------------&quot;);
		//定义的集合
		List l = new ArrayList();
		l.add(new String(&quot;aaa&quot;));
		l.add(new String(&quot;bbb&quot;));
		l.add(new String(&quot;ccc&quot;));
		for(Object o : l){
			System.out.println(o);
		}
	}
}</pre>
<p>运行结果：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjA1MTMxNTMzMDE1MTI/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<p>当然使用foreach循环结构也有缺陷：如果遍历数组会很不方便的访问到下标&#20540;：如果遍历集合那么与与使用</p>
<p>Iterator相比，不能方便的删除集合中的内容。除了简单遍历并读出其中的内容外，不建议使用foreach循环结构。</p>
<p>在网上查询资料的时候看了好多关于Java迭代器的使用文章，看到了一篇很详细的文章，地址是<a href="http://blog.csdn.net/zxq1138634642/article/details/8092327" rel="external nofollow noreferrer">Java迭代器</a></p>
<p><a href="http://blog.csdn.net/zxq1138634642/article/details/8092327" rel="external nofollow noreferrer">（转）(iterator详解以及和for循环的区别)</a>&nbsp;，写的还不错。我们学习的时候最主要的就是借助于Java<br />
 API。因此经常查</p>
<p>API，学会使用API，我们编写程序的代码会更上一层楼。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 11:05:14 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>JavaSE入门学习38：Java集合框架之迭代器的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aG2oP4.html" rel="bookmark">java集合框架初探-迭代器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				package com.runoob.test; import java.util.ArrayList; import java.util.Collection; import java.util.Iterator; public class IteratorDemo { public static void main(String[] args) { //创建集合 Collection c1=new ArrayList(); c1.add(&quot;abc1&quot;); c1.add(&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6nBLrM.html" rel="bookmark">JavaSE入门学习40：Java集合框架之泛型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一Java泛型 JDK 4.0以前装入集合的类型不明确,也就是说集合中的元素,可以是任意类型的对象(对象的引用),如果把某个 对象放入集合,则会忽略它的类型,而把它当做Object处理,从而失去自己的实际类型.从集合中取出时往往需要转 型,效率低,容易产生错误.JDK 5.0泛型指的是规定了某个集合只可以存放特定类型的对象,会在编译期间进行类 型检查,也可以直接按指定类型获取集合元素. 如果我们只写一个排序方法,就能够对整型数组.字符串数组甚至支持排序的任何类型的数组进行排序,这该多 好啊.Ja			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZZxYm3.html" rel="bookmark">JavaSE入门学习33：Java集合框架概述</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一集合框架 (1)集合的概念 现实生活中的集合:很多的事物凑在一起. 数学中的集合:具有共同属性的事物的总体. Java中的集合类:是一种工具类,就像是容器,储存任意数量的具有共同属性的对象. (2)集合框架的概念 有了集合的概念,什么是集合框架呢?集合框架是为表示和操作集合而规定的一种统一的标准的体系结构.任何 集合框架都包含三大块内容:对外的接口.接口的实现和对集合运算的算法. 1接口:即表示集合的抽象数据类型.接口提供了让我们对集合中所表示的内容进行单独操作的可能.接口允许 集合独立操纵其			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/j4NRDo4.html" rel="bookmark">Java集合框架学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文为学习笔记,学习课程为慕课网Java入门第三季中的集合框架部分,若需要研究文中的代码,可前往下载.http://www.imooc.com/learn/110 1. List(Collection子接口) 1.1 实例化 List list = new ArrayList(); ??List是一个接口,不可直接实例化,通常情况下ArrayList实现类进行实例化. 1.2 增 1.2.1 add(obj) ??直接将obj对象加入List末位. 1.2.2 add(i, obj) ??将ob			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Q0xrEk4.html" rel="bookmark">JavaSE入门学习21：Java面向对象之接口&lpar;interface&rpar;&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一接口实现的多态 在上一篇博文:JavaSE入门学习20:Java面向对象之接口(interface)(一)中提到了接口的实现存在多态性,那么 这一篇主要就要分析接口实现的多态. 实例一 Test.java源文件代码: public class Test{ public static void main(String[] args){ //实现接口Singer Singer s1 = new Student(&quot;Amy&quot;); s1.sing(); s1.sleep(); s1.study			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/VMGWqbM.html" rel="bookmark">JavaSE入门学习24：Java面向对象补充</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一Java中的Object类 Object类是所有Java类的父类,如果一个类没有使用extends关键字明确标识继承另外一个类,那么这个类默认 继承Object类. public class Person{ // } //等价于 public class Person extends Object{ // } Object类中的方法,适合所有子类. 1)toString()方法 在Object类中定义有public String toString()方法,其返回值是String类型,描述当前对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bgEVV3.html" rel="bookmark">黑马程序员&mdash;&mdash;JAVA集合框架学习总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				------Java培训.Android培训.iOS培训..Net培训.期待与您交流! ------- www.itheima.com 要学好java的集合框架,必须掌握此图: Java集合框架很全面,从大的来说.它包括两种类型: 1.一种是以collection为根接口的集合. 2.另一种是由map为根接口的&lt;key,value&gt;的“图”. 而collection之下的set接口和list接口又有不同: 1.Set 接口继承 Collection,但不允许重复,使用自己内部的一个排列机制.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RD2rP4.html" rel="bookmark">JavaSE入门学习7：Java基础语法之语句&lpar;下&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				继续接着Java基础语法来:JavaSE入门学习5:Java基础语法(一)和JavaSE入门学习6:Java基础语法(二). 语句 Java经常使用的3种循环:while.do...while,for. (5)Java循环语句之while 语法: watermark/2/text/aHR0cDovL2Jsb2cuY3Nkbi5uZXQv/font/5a6L5L2T/fontsize/400/fill/I0JBQkFCMA==/dissolve/70/gravity/Center&quot; &gt; 运行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35Akyo3.html" rel="bookmark">黑马程序员------Java集合框架学习总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java培训.Android培训.iOS培训..Net培训.期待您的交流 一.综述 所有集合类都位于java.util包下.集合中只能保存对象(保存对象的引用变量).(数组既可以保存基本类型的数据也可以保存对象). Java的集合类主要由两个接口派生而出:Collection和Map,Collection和Map是Java集合框架的根接口,这两个接口又包含了一些接口或实现类. 二.Collection接口 Collction: List:有序(元素存入集合的顺序和取出的顺序一致),元素都有索引.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/v0knebM.html" rel="bookmark" class="title">ROM和RAM的故事</a>
					<div>
						在公众号里看到一篇很好的文章讲解rom和ram,之前也是一直不能理解两者的区别,今天就转载记下来吧.也方便大家学习. 因为我刚开始学习的时候总喜欢刨根问底,一个问题要是不搞清楚,后面学习都会很吃力的. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/w3vV8Z3.html" rel="bookmark" class="title">dns服务    很多问题，后续再研究</a>
					<div>
						慕课网:http://www.imooc.com/video/5220 参考:http://jingyan.baidu.com/article/870c6fc32c028eb03fe4be30.htm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KadzL4.html" rel="bookmark" class="title">修改apache 2&period;4&period;6的MPM模式</a>
					<div>
						编辑配置文件/etc/httpd/conf.modules.d/00-mpm.conf #Select the MPM module which should be used by uncomment ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGG1raM.html" rel="bookmark" class="title">表空间自动扩展</a>
					<div>
						表空间自动扩展失败的问题(表空间的增长量太高,ORACLE默认是50%),修改表空间文件扩展方式: SQL&gt;ALTER DATABASE     DATAFILE '/u01/oracle/or ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OmJDZM.html" rel="bookmark" class="title">Windows Server 2008 MetaFile设置占用内存限制</a>
					<div>
						最近遇到Windows Server 2008服务器内存持续飙升,48G内存用了99%,查看任务管理器的进程,也没发现具体哪个进程用的内存比较大? 于是,在网上找了了一个查看内存的工具RamMap,具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6NgoyM.html" rel="bookmark" class="title">HDU 1524 - A Chess Game（sg函数 &plus; dfs）</a>
					<div>
						A Chess Game Problem Description Let's design a new chess game. There are N positions to hold M ches ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVw52Q0.html" rel="bookmark" class="title">ISO&sol;IEC 9899&colon;2011 条款6&period;10&mdash;&mdash;预处理指示符</a>
					<div>
						6.10 预处理指示符 语法 1.preprocessing-file: groupopt group: group-part group    group-part group-part: if-s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLDaPdM.html" rel="bookmark" class="title">&lbrack;异常解决&rsqb; ubuntu上安装JLink驱动遇到的坑及给后来者的建议</a>
					<div>
						一.前言 最近将整个电脑格式化,改成了linux操作系统 希望这样能让自己在一个新的世界探索技术.提升自己吧- win上的工具用多了,就不想变化了- 继上一篇&lt;ubuntu上安装虚拟机遇到的问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEZnQK0.html" rel="bookmark" class="title">TypeScript 高级类型</a>
					<div>
						一 , 交叉类型(操作符 &amp; ): 代码 : function extend&lt;T, U&gt;(first: T, second: U): T &amp; U {     let res ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xrK6Q4.html" rel="bookmark" class="title">JabRef中添加带中文的field时出现问题之解决</a>
					<div>
						JabRef中添加中文文献出现乱码 解决方法 问题描述 JaBRef是一款开源的文献管理软件,主要用来管理bibtex格式的参考文献,可以与LATEX配合使用,方便论文参考文献的使用.文献管理软件还有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz17KJ4.html" rel="bookmark" class="title">在命令行上 Ubuntu 下使用 mutt 和 msmtp 发送 Gmail 邮件</a>
					<div>
						在命令行写email from ubuntu 参考:      http://www.habadog.com/2011/11/23/send-mail-with-msmtp-mutt-linux    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49eNaD4.html" rel="bookmark" class="title">Maven可以提交到maven&period;org</a>
					<div>
						参考http://central.sonatype.org/pages/ossrh-guide.html这个网址的操作,即可提交到maven.org. 这里有具体的实践方法:http://blog.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38oDvn0.html" rel="bookmark" class="title">Imageview 按比例适应屏幕大小</a>
					<div>
						DisplayMetrics dm = new DisplayMetrics();//取得窗口属性getWindowManager().getDefaultDisplay().getMetrics(d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXlKZVM.html" rel="bookmark" class="title">《软件工程概论》第二章核心内容</a>
					<div>
						1.软件工程方法学:软件生命周期全过程中使用的一整套技术的集合成为方法学,也称为范型.三要素:方法.工具.过程  2.传统方法的特点:传统方法学把软件生命周期的全过程依次划分为若干个阶段,然后顺序地逐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YQNYr0.html" rel="bookmark" class="title">应用如何在后台执行</a>
					<div>
						转:http://izhuaodev.blog.51cto.com/6266344/1108483 当一个iOS 应用被送到后台,它的主线程会被暂停.你用NSThread的detachNewThrea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bLO2k4.html" rel="bookmark" class="title">tornado &plus; nginx &plus; supervisord 环境部署</a>
					<div>
						学习tornado有一周多了,自己按着demo中的例子手动搬代码,收获还是有的,加深了理解.demo: http://demo.pythoner.com/itt2zh/ch8.html 大概明白了它怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWdWNB0.html" rel="bookmark" class="title">平衡二叉树Java实现</a>
					<div>
						2014-06-12 15:00:14 主要内容为: AVL树的插入操作: AVL树的删除操作: AVL树的插入操作主要参考&lt;&lt;数据结构与算法分析&gt;&gt;Java语言描述(Mark ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38kNeW0.html" rel="bookmark" class="title">datepickerpopup时间限制选取</a>
					<div>
						使用popup组件的过程中遇到时间选取的问题 官方文档大致说使用date和mode 可以解决,奈何老夫是看不懂,写的时候参考的有 官方文档.echo2016的博文.liumang361的博文 先看图  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k2oejM.html" rel="bookmark" class="title">SQL Server 递归</a>
					<div>
						SQL Server 没有类似于Oracle START WITH NAME='xx' CONNECT BY PRIOR ID=PARENT_ID这样的语句,但是可以通过自定义标准函数+With语句实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41ynJJ4.html" rel="bookmark" class="title">系统架构调整&lpar;一&rpar; Druid整改</a>
					<div>
						原配置结构为spring+maven profile整合,现在整改也在此基础上做调整 1. 项目pom.xml ,增加druid依赖 &lt;!-- alibaba --&gt;        &lt ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
